Bug 435948 - thunderbird-config script not shipped but may be required for building extensions
thunderbird-config script not shipped but may be required for building extens...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 11:43 EST by David Walluck
Modified: 2009-07-14 13:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:55:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Create thunderbird-devel package (1.82 KB, patch)
2008-03-18 14:37 EDT, David Walluck
no flags Details | Diff
Example spec for thunderbird-moztraybiff which uses thunderbird-devel to build (1.93 KB, application/octet-stream)
2008-03-18 14:42 EDT, David Walluck
no flags Details

  None (edit)
Description David Walluck 2008-03-04 11:43:59 EST
The thunderbird spec contains on line 211:

%{__rm} -f $RPM_BUILD_ROOT%{_bindir}/thunderbird-config

The thunderbird-config script may be needed for thunderbird development (e.g.,
building extensions).

I have tried to build at least one extension that seems to need this script:
<http://moztraybiff.mozdev.org/>. It turns out that it only uses this script to
get the thunderbird version, so it can be worked around pretty easily, but I am
just wondering the rationale for removing this script.
Comment 1 David Walluck 2008-03-13 11:57:32 EDT
I noticed the %exclude lines at the end of %files which is essentially the devel
package for thunderbird. The above extension can make use of the thunderbird SDK
to build. Then, it would call `thunderbird-bin -nox -register' in %post/%postun.
It was incorrect to say that thunderbird-config could function on its own in the
original report.

Looking at some other extensions like enigmail or lightning, these seem to need
to build in-tree, but ``proper'' extensions can use the standalone SDK. Is there
a general bug filed for building extensions (firefox or thunderbird) or some
other discussion on a wiki?
Comment 2 David Walluck 2008-03-18 14:37:16 EDT
Created attachment 298435 [details]
Create thunderbird-devel package
Comment 3 David Walluck 2008-03-18 14:42:45 EDT
Created attachment 298439 [details]
Example spec for thunderbird-moztraybiff which uses thunderbird-devel to build
Comment 4 Bug Zapper 2008-05-14 01:46:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 19:40:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:55:57 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.